# DataExchange
TKIGES
IGESSelect

# IGESSelect_Dumper Class Reference

Dumper from IGESSelect takes into account, for SessionFile, the
classes defined in the package IGESSelect : Selections,
Dispatches, Modifiers
.

`#include <IGESSelect_Dumper.hxx>`

Inheritance diagram for IGESSelect_Dumper:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_Dumper ()
| Creates a Dumper and puts it into the Library of Dumper .
Standard_EXPORT Standard_Boolean | WriteOwn (IFSelect_SessionFile &file, const Handle(Standard_Transient)&item) const
| Write the Own Parameters of Types defined in package IGESSelect Returns True if <item> has been processed, False else .
Standard_EXPORT Standard_Boolean | ReadOwn (IFSelect_SessionFile &file, const TCollection_AsciiString &type, Handle(Standard_Transient)&item) const
| Recognizes and Read Own Parameters for Types of package IGESSelect. Returns True if done and <item> created, False else .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_Dumper::IGESSelect_Dumper | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_Dumper::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SessionDumper.

Standard_EXPORT Standard_Boolean IGESSelect_Dumper::ReadOwn | ( | IFSelect_SessionFile & | file,
|  | const TCollection_AsciiString & | type,
|  | Handle(Standard_Transient)& | item
| ) | const`[virtual]`

| Implements IFSelect_SessionDumper.

Standard_EXPORT Standard_Boolean IGESSelect_Dumper::WriteOwn | ( | IFSelect_SessionFile & | file,
|  | const Handle(Standard_Transient)& | item
| ) | const`[virtual]`

| Implements IFSelect_SessionDumper.

The documentation for this class was generated from the following file:

- IGESSelect_Dumper.hxx